package cn.citycraft.GsonAgent.api.reflect;

import java.lang.reflect.Type;

import cn.citycraft.GsonAgent.api.utils.HandleInterface;

@SuppressWarnings("rawtypes")
public abstract interface TypeTokenAbstract<T> extends HandleInterface {

	@Override
	public boolean equals(Object o);

	public Class<? super T> getRawType();

	public Type getType();

	@Override
	public int hashCode();

	@Deprecated
	public boolean isAssignableFrom(Class<?> cls);

	@Deprecated
	public boolean isAssignableFrom(Type from);

	@Deprecated
	public boolean isAssignableFrom(TypeToken<?> token);

	@Override
	public String toString();

}
